Subject: Re: [PATCH net-next 1/2] dt-bindings: net: airoha,en8811h: Add en8811h serdes polarity

From: Rob Herring <[email-masked]>
Date: Thu, 15 Feb 2024 07:29:08 -0600

On Wed, Feb 07, 2024 at 05:42:58PM +0100, Eric Woudstra wrote:
> 
> Hi krzysztof,
> 
> I mistakenly thought that changing from rfc-patch to patch, the number
> would reset. I will mark the next one v2, or do you want me to mark it v3?
> 
> I have been using realtek,rtl82xx.yaml as an example. I see all your
> comments apply to this file also, so it would seem I could have chosen
> a better example. I will change it according your remarks.
> 
> >> +
> >> +allOf:
> >> +  - $ref: ethernet-phy.yaml#
> >> +
> >> +properties:
> > 
> > This won't match to anything... missing compatible. You probably want to
> > align with ongoing work on the lists.
> 
> As for the compatible string, the PHY reports it's c45-id okay and
> phylink can find the driver with this id. Therefore I have left the
> compatible string out of the devicetree node of the phy and not
> specified it in the binding (also same as realtek,rtl82xx.yaml).
> 
> If you are implying that I need to use it, then I will add:
> 
> select:
>   properties:
>     compatible:
>       contains:
>         enum:
>           - ethernet-phy-id03a2.a411
>   required:
>     - compatible

Don't need any of this unless you have a common/generic fallback 
compatible.

> 
> To the binding, and
> 
> 	compatible = "ethernet-phy-id03a2.a411";
> 
> To the devicetree node of the phy again.
> 
> Best regards,
> 
> Eric Woudstra